> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/api-log/{logId}
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/api-log/{logId}:
    get:
      tags:
        - ApiLog
      summary: Get
      operationId: ApiLogController_findById
      parameters:
        - name: logId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApiLogResponse'
components:
  schemas:
    GetApiLogResponse:
      type: object
      properties:
        apiLog:
          $ref: '#/components/schemas/SerializedApiLogDetail'
      required:
        - apiLog
    SerializedApiLogDetail:
      type: object
      properties:
        id:
          type: string
        requestId:
          type: string
        method:
          type: string
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
        url:
          type: string
        statusCode:
          type: number
        apiStatus:
          type: string
          enum:
            - SUCCESS
            - FAILED
        responseTime:
          type: number
        logType:
          type: string
          enum:
            - API
            - DASHBOARD
            - CONNECTION
            - INTERNAL
            - SDK
            - SYNC_API
            - PASSTHROUGH
        companyId:
          type: object
        integration:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        errorCode:
          type: object
        jobId:
          type: object
        createdAt:
          type: string
        host:
          type: object
        traceHeader:
          type: object
        request:
          $ref: '#/components/schemas/ApiLogRequest'
        response:
          $ref: '#/components/schemas/ApiLogResponse'
        job:
          $ref: '#/components/schemas/ApiLogJob'
      required:
        - id
        - requestId
        - method
        - url
        - statusCode
        - apiStatus
        - responseTime
        - logType
        - createdAt
    ApiLogRequest:
      type: object
      properties:
        headers:
          type: object
        body:
          type: object
        query:
          type: object
        params:
          type: object
      required:
        - body
    ApiLogResponse:
      type: object
      properties:
        body:
          type: object
        statusCode:
          type: number
      required:
        - body
        - statusCode
    ApiLogJob:
      type: object
      properties:
        jobId:
          type: string
        dataModel:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
        jobType:
          type: string
          enum:
            - PUSH
            - PULL
            - CUSTOM
        status:
          type: string
          enum:
            - SUCCESS
            - FAILED
            - CREATED
            - RUNNING
        error:
          type: object
        errorCode:
          type: object
        startTime:
          type: object
        endTime:
          type: object
        responseLength:
          type: object
      required:
        - jobId
        - dataModel
        - jobType
        - status
        - error
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````